/**
 * @Description: 创业指导
 * @Author: 空白格
 * @Date: 2022-08-12 13:03:10
 * @LastEditors: 空白格
 * @LastEditTime: 2022-08-29 13:45:51
 * @FilePath: \veterans_client_web\src\api\WorkGuide\index.js
 * @Copyright: Copyright (c) 2016~2022 by 空白格, All Rights Reserved.
 */
import request from '@/utils/request'
/**
 * 获取创业指导列表
 * @param {*} params
 * @returns
 */
export function getWorkGuideData(params) {
  return request({
    url: '/app/guidance',
    method: 'get',
    params
  })
}

/**
 * 获取创业指导详情
 * @param {*} params
 * @returns
 */
export function getWorkGuideDetails(params) {
  return request({
    url: '/app/guidance/getDetail/' + params.id,
    method: 'get',
    params
  })
}

/**
 * 添加创业指导
 * @param {*} data
 * @returns
 */
export function addWorkGuide(data) {
  return request({
    url: '/app/guidance',
    method: 'post',
    data
  })
}
